<?xml version="1.0" encoding="UTF-8"?>
<persistence version="2.0"
             xmlns="http://java.sun.com/xml/ns/persistence" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
             xsi:schemaLocation="
        http://java.sun.com/xml/ns/persistence
        http://java.sun.com/xml/ns/persistence/persistence_2_0.xsd">
    <persistence-unit name="portalPU">
        <!-- If you are running in a production environment, add a managed 
        data source, this example data source is just for development and testing! -->
        <!-- The datasource is deployed as <EAR>/META-INF/portal-ds.xml, you
        can find it in the source at ear/src/main/application/META-INF/portal-ds.xml -->
        <jta-data-source>java:jboss/datasources/FLIPDS1</jta-data-source>
        <mapping-file>META-INF/ormPortal.xml</mapping-file>

        <class>com.fp.armas.portal.model.Tgenecatalog</class>
        <class>com.fp.armas.portal.model.Tgenecatalogdetail</class>
        <class>com.fp.armas.portal.model.TgenecatalogdetailPK</class>
        <class>com.fp.armas.portal.model.Tgeneactivity</class>
        <class>com.fp.armas.portal.model.Tcustpeople</class>
        <class>com.fp.armas.portal.model.TcustpeoplePK</class>
        <class>com.fp.armas.portal.model.Tgenesequence</class>
        <class>com.fp.armas.portal.model.Tcustcompany</class>
        <class>com.fp.armas.portal.model.TcustcompanyPK</class>
        <class>com.fp.armas.portal.model.Tgenefile</class>
        <class>com.fp.armas.portal.model.Tgenefilesdetail</class>
        <class>com.fp.armas.portal.model.TgenefilesdetailPK</class>
        <class>com.fp.armas.portal.model.Tcustpersondetail</class>

        <properties>
            <property name="hibernate.default_schema" value="comaco"/>
            <property name="hibernate.show_sql" value="true"/>
            <property name="hibernate.connection.autocommit" value="false"/>
            <property name="hibernate.jdbc.fetch_size" value="50"/>
            <property name="hibernate.jdbc.batch_size" value="200"/>
            <!-- Properties for Hibernate -->
            <property name="hibernate.dialect" value="org.hibernate.dialect.PostgreSQLDialect"/>
            <property name="hibernate.id.new_generator_mappings" value="false" />
            <property name="hibernate.transaction.jta.platform" value = "org.hibernate.service.jta.platform.internal.JBossAppServerJtaPlatform" />

        </properties>
    </persistence-unit>
</persistence>
